"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactLoadable = _interopRequireDefault(require("react-loadable"));

var _loading = _interopRequireDefault(require("./loading"));

/*
 * @Copyright (C) 2015- 2018 Onny LLC - All Rights Reserved
 * @license
 * This file is part of onny-async-loader and is the sole property of its owner.
 * Unauthorized use of this file, via any medium or form, whole or in part,
 * is strictly prohibited without the expressed written permission of Onny LLC and/or Isaac Marotte
 *
 * This file is proprietary and confidential
 *
 * Last Modified: 2018.4.4
 */

/**
 *
 * @param {object} opts
 * @param {object} opts.loader
 * @param {object} opts.loading
 * @param {function} opts.render
 * @returns {*}
 */
var _default = function _default(opts) {
  if (!opts.render) {
    opts.render = function (loaded, props) {
      // eslint-disable-line no-param-reassign
      var Component = loaded["default"];
      return _react["default"].createElement(Component, props);
    };
  }

  if (!opts.loading) {
    opts.loading = _loading["default"]; // eslint-disable-line no-param-reassign
  }

  return (0, _reactLoadable["default"])(opts);
};

exports["default"] = _default;
module.exports = exports.default;